Bug 645964 - kmod-xfs-xen-0.4-2.x86_64 dependency problem when upgrading to kernel 2.6.18-194.17.1.el5
kmod-xfs-xen-0.4-2.x86_64 dependency problem when upgrading to kernel 2.6.18-...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-23 06:22 EDT by Sergio Gurdiel
Modified: 2014-01-21 01:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Gurdiel 2010-10-23 06:22:33 EDT
Description of problem:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
kernel(rhel5_fs_proc_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_arch_x86_64_kernel_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_fs_partitions_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_vmlinux_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_kernel_u2) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_fs_u2) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_drivers_xen_core_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_block_u2) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_kernel_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_security_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_block_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_kernel_module_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_fs_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_mm_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_lib_ga) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64
kernel(rhel5_mm_u2) is needed by (installed) kmod-xfs-xen-0.4-2.x86_64



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sergio Gurdiel 2010-12-16 15:53:45 EST
Since xen is not used, removing kmod_xfs_xen allow yum to complete update process.
Comment 2 James Antill 2013-03-14 15:24:15 EDT
This kind of problem should be gone in RHEL-6, as we use a different method/process to install kernel modules.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.